linux: 3.5.0-33.54 -proposed tracker

Bug #1186271 reported by Steve Conklin on 2013-05-31
This bug report is a duplicate of:  Bug #1187926: linux: 3.5.0-34.55 -proposed tracker. Edit Remove
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-signed
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-33.54 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 31. May 2013 14:24 UTC
kernel-stable-Prepare-package-end:Saturday, 01. June 2013 02:55 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 01. June 2013 02:55 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 01. June 2013 04:26 UTC
kernel-stable-Verification-testing-start:Saturday, 01. June 2013 06:03 UTC
kernel-stable-phase:Testing
kernel-stable-phase-changed:Tuesday, 04. June 2013 18:01 UTC
kernel-stable-Verification-testing-end:Tuesday, 04. June 2013 18:01 UTC
kernel-stable-Certification-testing-start:Tuesday, 04. June 2013 18:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 04. June 2013 18:01 UTC
kernel-stable-Regression-testing-start:Tuesday, 04. June 2013 18:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 05. June 2013 15:01 UTC

Steve Conklin (sconklin) on 2013-05-31
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1186475
linux-armadaxp - bug 1186476
linux-lowlatency - bug 1186477

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1186478

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-06-01
description: updated
Brad Figg (brad-figg) on 2013-06-01
description: updated
Brad Figg (brad-figg) wrote :

All bugs have been verified.

Brad Figg (brad-figg) on 2013-06-04
description: updated
Para Siva (psivaa) wrote :

No regressions seen

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-06-05
description: updated

Hardware Certification have begun testing this -proposed kernel.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (18.4 KiB)

This bug was fixed in the package linux - 3.5.0-34.55

---------------
linux (3.5.0-34.55) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1187926

  [ Upstream Kernel Changes ]

  * iwlwifi: dvm: fix zero LQ CMD sending avoidance
    - LP: #1186932

linux (3.5.0-33.54) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1186271

  [ Upstream Kernel Changes ]

  * crypto: algif - suppress sending source address information in recvmsg
    - LP: #1172363
    - CVE-2013-3076
  * ax25: fix info leak via msg_name in ax25_recvmsg()
    - LP: #1172366
    - CVE-2013-3223
  * Bluetooth: fix possible info leak in bt_sock_recvmsg()
    - LP: #1172368
    - CVE-2013-3224
  * tipc: fix info leaks via msg_name in recv_msg/recv_stream
    - LP: #1172403
    - CVE-2013-3235
  * rose: fix info leak via msg_name in rose_recvmsg()
    - LP: #1172394
    - CVE-2013-3234
  * Bluetooth: RFCOMM - Fix missing msg_namelen update in
    rfcomm_sock_recvmsg()
    - LP: #1172369
    - CVE-2013-3225
  * atm: update msg_namelen in vcc_recvmsg()
    - LP: #1172365
    - CVE-2013-3222
  * iwlwifi: add new pci id for 6x35 series
    - LP: #1180256
  * ath9k_htc: accept 1.x firmware newer than 1.3
    - LP: #1186062
  * ssb: implement spurious tone avoidance
    - LP: #1186062
  * can: mcp251x: add missing IRQF_ONESHOT to request_threaded_irq
    - LP: #1186062
  * can: sja1000: fix handling on dt properties on little endian systems
    - LP: #1186062
  * ath9k_hw: change AR9580 initvals to fix a stability issue
    - LP: #1186062
  * ARM: 7696/1: Fix kexec by setting outer_cache.inv_all for Feroceon
    - LP: #1186062
  * ARM: 7698/1: perf: fix group validation when using enable_on_exec
    - LP: #1186062
  * hugetlbfs: add swap entry check in follow_hugetlb_page()
    - LP: #1186062
  * kernel/signal.c: stop info leak via the tkill and the tgkill syscalls
    - LP: #1186062
  * hfsplus: fix potential overflow in hfsplus_file_truncate()
    - LP: #1186062
  * sched: Convert BUG_ON()s in try_to_wake_up_local() to WARN_ON_ONCE()s
    - LP: #1186062
  * perf/x86: Fix offcore_rsp valid mask for SNB/IVB
    - LP: #1186062
  * vm: add vm_iomap_memory() helper function
    - LP: #1186062
  * vm: convert HPET mmap to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert fb_mmap to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert snd_pcm_lib_mmap_iomem() to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert mtdchar mmap to vm_iomap_memory() helper
    - LP: #1186062
  * regulator: fixed regulator_bulk_enable unwinding code
    - LP: #1186062
  * perf: Fix error return code
    - LP: #1186062
  * xen/smp: Fix leakage of timer interrupt line for every CPU
    online/offline.
    - LP: #1186062
  * xen/smp/spinlock: Fix leakage of the spinlock interrupt line for every
    CPU online/offline
    - LP: #1186062
  * xen/time: Fix kasprintf splat when allocating timer%d IRQ line.
    - LP: #1186062
  * s390/memory hotplug: prevent offline of active memory increments
    - LP: #1186062
  * aio: fix possible invalid memory access when DEBUG is enabled
    - LP: #1186062
  * TTY: do not update atime/mtime on read/...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers